OBResidueData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBResidueData Class Reference

`#include <openbabel/data.h>`

Inheritance diagram for OBResidueData:
[legend]

List of all members.

## Public Member Functions
| OBResidueData ()
void | ParseLine (const char *)
size_t | GetSize ()
bool | SetResName (const std::string &)
int | LookupBO (const std::string &)
int | LookupBO (const std::string &, const std::string &)
bool | LookupType (const std::string &, std::string &, int &)
bool | AssignBonds (OBMol &, OBBitVec &)
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)
## Protected Attributes
bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Table of common biomolecule residues (for PDB or other files).

Can assign atom types and bond orders for arbitrary residues

## Constructor & Destructor Documentation

OBResidueData | ( |  | ) |

## Member Function Documentation

void ParseLine | ( | const char * |  | ) | `[virtual]`

Specified by particular table classes (parses an individual data line)

Reimplemented from OBGlobalDataBase.

size_t GetSize | ( |  | ) | `[inline, virtual]`

Returns:
  the number of residues in the table

Reimplemented from OBGlobalDataBase.

bool SetResName | ( | const std::string & | s | ) |

Sets the table to access the residue information for a specified residue name

Returns:
  whether this residue name is in the table

int LookupBO | ( | const std::string & | s | ) |

Returns:
  the bond order for the bond specified in the current residue

Deprecated:
  Easier to use the two-argument form

int LookupBO | ( | const std::string & | s1,
|  | const std::string & | s2
| ) |  |

Returns:
  the bond order for the bond specified between the two specified atom labels

bool LookupType | ( | const std::string & | atmid,
|  | std::string & | type,
|  | int & | hyb
| ) |  |

Look up the atom type and hybridization for the atom label specified in the first argument for the current residue

Returns:
  whether the atom label specified is found in the current residue

bool AssignBonds | ( | OBMol & | mol,
|  | OBBitVec & | bv
| ) |  |

Assign bond orders, atom types and residues for the supplied OBMol based on the residue information assigned to atoms

Deprecated:
  second OBBitVec argument is ignored

void Init | ( |  | ) | `[inherited]`

Read in the data file, falling back as needed.

void SetReadDirectory | ( | char * | dir | ) | `[inline, inherited]`

Set the directory before calling Init()

void SetEnvironmentVariable | ( | char * | var | ) | `[inline, inherited]`

Set the environment variable to use before calling Init()

## Member Data Documentation

bool _init`[protected, inherited]`

Whether the data been read already.

const char* _dataptr`[protected, inherited]`

Default data table if file is unreadable.

std::string _filename`[protected, inherited]`

File to search for.

std::string _dir`[protected, inherited]`

Data directory for file if _envvar fails.

std::string _subdir`[protected, inherited]`

Subdirectory (if using environment variable)

std::string _envvar`[protected, inherited]`

Environment variable to check first.

The documentation for this class was generated from the following files:

- data.h
- data.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines